{$APPTYPE CONSOLE}
program DynaTab6;
uses
  DB, DBTables;

var
  Customer,Orders: TTable;
  LookupField: TStringField;
  CustNo: TFloatField;

begin
  Customer := TTable.Create(nil);
  Orders := TTable.Create(nil);
  try
    Customer.DatabaseName := 'DBDEMOS';
    Customer.TableName := 'CUSTOMER.DB';
    Customer.Open;

    Orders.DatabaseName := 'DBDEMOS';
    Orders.TableName := 'ORDERS.DB';

    CustNo := TFloatField.Create(Orders);
    CustNo.FieldName := 'CustNo';
    CustNo.DataSet := Orders;

    LookupField := TStringField.Create(Orders);
    LookupField.FieldName := 'Customer Company';
    LookupField.FieldKind := fkLookup; { default - fkData }
    LookupField.DataSet := Orders;
    LookupField.KeyFields := 'CustNo';
    LookupField.LookupDataSet := Customer;
    LookupField.LookupKeyFields := 'CustNo';
    LookupField.LookupResultField := 'Company';

    Orders.Open;
    writeln(LookupField.DisplayName,': (',CustNo.DisplayText,') ',
            LookupField.DisplayText);
    Orders.Close;
    Customer.Close
  finally
    LookupField.Free;
    CustNo.Free;
    Orders.Free;
    Customer.Free
  end
end.